[R004-1]Idea Validation - Create Report
According to the technical approach or technical effect, create a technical idea validation report and obtain the report download job ID. The technical idea validation report contains troubleshooting technical essentials, check scope, list of similar patents, comparison file(technical problems, technical approach, technical effect, comparison of similar features, core invention points, enhancement proposals), analysis results, technical monitoring suggestions.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| array | [
"CN",
"US",
"KR"
] | Select the authority of the patent, the default query all databases, eg CN, US, KR. |
| array | [
"失效",
"有效",
"审中",
"PCT指定期满",
"PCT指定期内",
"未确认"
] | Simple legal status, default select all, enumerated as follows:Inactive, Active, Pending, PCTdesignated stage, PCTdesignated stage expired, Undetermined |
| integer<int32> | 5 | Based on the novelty of the current technical solution, return up to 20 potentially similar patents to generate a search report, with the top 5 patents sorted by similarity selected by default. |
| string | 实现了车辆的原地掉头 | technical effects |
Required | string | 原地转向控制系统利用车辆控制器根据接收到的原地转向指令控制左转向电机控制器和所述右转向电机控制器,左转向电机控制器根据接收到的原地转向指令控制左前轮转向,右转向电机控制器根据接收到的原地转向控制指令控制右前轮转向,且左前轮和右前轮的转动方向相反使得左前轮和右前轮之间形成预设角度的“内八字”,由转动电机控制向车辆控制器发送转向完成指令。 | technical means |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
job_id | string | 15362c5fae034dfc8943df299afc18b5 | export technical idea validation report task id |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"job_id": "15362c5fae034dfc8943df299afc18b5"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |